Bug 430973 - nautilus-sendto Thunderbird plugin - incorrect parameter passed when attaching a file
nautilus-sendto Thunderbird plugin - incorrect parameter passed when attachin...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nautilus-sendto (Show other bugs)
8
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-30 16:05 EST by Dawid Lorenz
Modified: 2009-01-09 02:56 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:56:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Thunderbird executable script, after changes related to #426331 (2.28 KB, application/octet-stream)
2008-01-30 16:05 EST, Dawid Lorenz
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 426331 None None None Never

  None (edit)
Description Dawid Lorenz 2008-01-30 16:05:49 EST
Description of problem:
Send to... via Thunderbird passes incorrect command line parameter for
'/usr/lib/thunderbird -compose' command.

Parameter being passed:
attachment=file:///file:///home/evad/somefile

Parameter expected:
attachment=file:///home/evad/somefile

Temporary workaround (related with #426331) is to edit '/usr/bin/thunderbird'
executable script, by adding/changing following line:

ARGS="`echo $@ | sed 's_file:///file:///_file:///_'`"
exec $MOZ_PROGRAM $MOZARGS -compose "$ARGS"

(my current full /usr/bin/thunderbird attached)

Without that patch, file seem to be attached properly to compose window, but
while sending Thunderbird throws an error that file cannot be found, and message
cannot be sent at all.

Version-Release number of selected component (if applicable):
nautilus-sendto 0.12-5.fc8

How reproducible:
Always
  
Actual results:
Incorrect file attachment, resulting in fatal error message thrown by
Thunderbird at the point of sending e-mail message.

Expected results:
Just send an e-mail with attachment. Actually works with fix given above.

Additional info:
Comment 1 Dawid Lorenz 2008-01-30 16:05:49 EST
Created attachment 293488 [details]
Thunderbird executable script, after changes related to #426331
Comment 2 Fedora Update System 2008-03-27 15:55:21 EDT
nautilus-sendto-0.14.0-1.fc8 has been submitted as an update for Fedora 8
Comment 3 Fedora Update System 2008-03-28 09:56:57 EDT
nautilus-sendto-0.14.0-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nautilus-sendto'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-2775
Comment 4 Bug Zapper 2008-11-26 04:38:52 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-09 02:56:00 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.